PETSc version 3.15.5
Fix/Edit manual page

# VecResetArray

Resets a vector to use its default memory. Call this after the use of VecPlaceArray().

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecResetArray(Vec vec)

Not Collective

### Input Parameters

| vec | - the vector

### See Also

VecGetArray(), VecRestoreArray(), VecReplaceArray(), VecPlaceArray()

### Level

developer

### Location

src/vec/vec/interface/vector.c

### Examples

src/ksp/ksp/tutorials/ex13.c.html
src/ksp/ksp/tutorials/ex13f90.F90.html
src/ksp/ksp/tutorials/ex61f.F90.html

### Implementations

VecResetArray_MPI in src/vec/vec/impls/mpi/pbvec.c
VecResetArray_Seq in src/vec/vec/impls/seq/bvec2.c
VecResetArray_SeqKokkos in src/vec/vec/impls/seq/kokkos/veckok.kokkos.cxx
VecResetArray_SeqCUDA in src/vec/vec/impls/seq/seqcuda/veccuda.c
VecResetArray_SeqViennaCL in src/vec/vec/impls/seq/seqviennacl/vecviennacl.cxx
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages